List services for an organization
const url = 'https://apisandbox.puurk.com/organizations/example/services';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://apisandbox.puurk.com/organizations/example/services \ --header 'Authorization: Bearer <token>'Returns the services offered by an organization
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Organization ID
Responses
Section titled “Responses”Successful operation
object
Unique identifier for the service
Organization ID
Service name
Cost of goods sold
Unit price
Whether the service is active
Whether the price is adjustable
Fixed commission amount
Commission rate
Basis for commission calculation
Total commission
Down payment amount
Service description
Additional notes
Path to service photo
List of provider IDs
Savings amount
List of service IDs
List of package services
object
Service ID
Service name
Original quantity
Current quantity
Remaining quantity
Amount
Merge contract ID
Whether this is a package service
Type of service
Service brand
Service category
Service supplier
Whether to charge tax
Stock keeping unit
Barcode
Minimum quantity
Stock quantity
Term cap
Example
[ { "commission_basis": "profit", "type": "service" }]Unauthorized